"""added-nickname-and-bridge-support

Revision ID: f9dcbbd2d19b
Revises: 5a2d454a455d
Create Date: 2023-11-27 11:11:06.940775

"""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "f9dcbbd2d19b"
down_revision = "5a2d454a455d"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("relay", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column(
                "is_bridge",
                sa.Boolean(),
                nullable=False,
                server_default=sa.schema.DefaultClause("0"),
            )
        )

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("relay", schema=None) as batch_op:
        batch_op.drop_column("is_bridge")

    # ### end Alembic commands ###
